package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
public class GoblinListDetailsItemVo implements Serializable, Cloneable{
    @ApiModelProperty(value = "spuId")
    private String spuId;
    @ApiModelProperty(value = "skuId")
    private String skuId;
    @ApiModelProperty(value = "sku名称")
    private String skuName;
    @ApiModelProperty(value = "线上库存")
    private Integer stock;
    @ApiModelProperty(value = "剩余库存")
    private Integer surplusStock;

    private static final GoblinListDetailsItemVo obj = new GoblinListDetailsItemVo();

    public static GoblinListDetailsItemVo getNew() {
        try {
            return (GoblinListDetailsItemVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinListDetailsItemVo();
    }
}
